Bug 322121 - usage message generates a "find" warning related to "-maxdepth 1"
Summary: usage message generates a "find" warning related to "-maxdepth 1"
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xmlto   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Ondrej Vasik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-07 13:39 UTC by Robert P. J. Day
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-08 12:12:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert P. J. Day 2007-10-07 13:39:28 UTC
in the xmlto usage() function, there is a call to "find" with options 

"... -type d -maxdepth 1"

for reasons that escape me entirely, that particular ordering generates a find
warning:

find: warning: you have specified the -maxdepth option after a non-option
argument -type, but options are not positional (-maxdepth affects tests
specified before it as well as those specified after it).  Please specify
options before other arguments.

  simply swapping the order of those two options makes the warning go away, and
doesn't appear to change the operation in any way.

Comment 1 Ondrej Vasik 2007-10-08 12:12:45 UTC
Thanks for reporting bug, I will fix this in devel now and in F7 and FC-6 in
next real bugfix - this warning is harmless and fix is only cosmetic change -
but it is good to have it fixed.

Fixed in xmlto-0.0.18-16, closing RAWHIDE


Note You need to log in before you can comment on or make changes to this bug.